# ``twisted`.`trial`.`_asyncrunner`.`_ForceGarbageCollectionDecorator``

class documentation

`class _ForceGarbageCollectionDecorator(TestDecorator): (source)`

View In Hierarchy

Forces garbage collection to be run before and after the test. Any errors logged during the post-test collection are added to the test result as errors.

Method | `run` | Run the unit test.

Inherited from `TestDecorator`:

Method | `__call__` | Run the unit test.

def run(self, result): (source)
from `twisted.trial.itrial.ITestCase`
overrides `twisted.trial.unittest.TestDecorator.run`
Run the unit test.

Parameters
result | A TestResult object.